%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-connect
Version:    2.14.5
Release:    8%{?dist}
Summary:    High performance middleware framework for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/senchalabs/connect
Source0:    https://registry.npmjs.org/connect/-/connect-%{version}.tgz
# The test/, support/, docs/ and examples/ folders are not included in the
# npm tarball. Sources 1 to 4 are generated by running Source10, which pulls
# from the upstream version control repository.
Source1:    tests-%{version}.tar.bz2
Source2:    support-%{version}.tar.bz2
Source3:    docs-%{version}.tar.bz2
Source4:    examples-%{version}.tar.bz2
Source10:   dl-tests.sh
Patch0:     nodejs-connect-shouldjs.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(basic-auth-connect)
BuildRequires:  npm(bytes)
BuildRequires:  npm(cookie-parser)
BuildRequires:  npm(cookie-signature)
BuildRequires:  npm(compression)
BuildRequires:  npm(connect-timeout)
BuildRequires:  npm(csurf)
BuildRequires:  npm(debug)
BuildRequires:  npm(errorhandler)
BuildRequires:  npm(express-session)
BuildRequires:  npm(fresh)
BuildRequires:  npm(jade)
BuildRequires:  npm(method-override)
BuildRequires:  npm(mocha)
BuildRequires:  npm(morgan)
BuildRequires:  npm(multiparty)
BuildRequires:  npm(pause)
BuildRequires:  npm(qs)
BuildRequires:  npm(raw-body)
BuildRequires:  npm(response-time)
BuildRequires:  npm(serve-index)
BuildRequires:  npm(serve-static)
BuildRequires:  npm(setimmediate)
BuildRequires:  npm(should)
BuildRequires:  npm(should-http)
BuildRequires:  npm(static-favicon)
BuildRequires:  npm(vhost)
%endif

%description
Connect is an extensible HTTP server framework for node, providing high
performance "plugins" known as middleware.

Connect is bundled with over 20 commonly used middleware, including a logger,
session support, cookie parser, and more.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package
%setup -q -T -D -a 4 -n package
%patch0 -p1

%nodejs_fixdep multiparty '~3.2.3'

%nodejs_fixdep basic-auth-connect '~1.0'
%nodejs_fixdep cookie-parser '~1.0.1'
%nodejs_fixdep cookie-signature '~1.0.3'
%nodejs_fixdep compression '~1.0'
%nodejs_fixdep connect-timeout '~1.0'
%nodejs_fixdep csurf '~1.1'
%nodejs_fixdep errorhandler '~1.0'
%nodejs_fixdep express-session '~1.0.2'
%nodejs_fixdep fresh '~0.2.2'
%nodejs_fixdep method-override '~1.0'
%nodejs_fixdep morgan '~1.0'
%nodejs_fixdep qs '^6.0.2'
%nodejs_fixdep response-time '~1.0'
%nodejs_fixdep setimmediate '~1.0.1'
%nodejs_fixdep serve-index '~1.0.1'
%nodejs_fixdep serve-static '~1.0'
%nodejs_fixdep static-favicon '~1.0.2'
%nodejs_fixdep vhost '~1.0'
%nodejs_fixdep bytes '~0.3'
%nodejs_fixdep pause '~0.0.1'
%nodejs_fixdep debug '^2.2.0'
%nodejs_fixdep raw-body '~1.1.4'



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/connect

cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/connect

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check

NODE_ENV=test %{nodejs_sitelib}/mocha/bin/mocha \
    --reporter dot --timeout 600 --require should-http test/*.js --bail
%endif


%files
%doc Readme.md docs/ examples/
%license LICENSE
%{nodejs_sitelib}/connect


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 2.14.5-6
- Update npm(qs) dependency

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 2.14.5-5
- update npm(debug) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.5-2
- temporarily disable tests

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.5-1
- update to upstream release 2.14.5

* Mon Mar 17 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.2-2
- fix versioned dependencies

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.2-1
- update to upstream release 2.14.2

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.1-1
- update to upstream release 2.14.1

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.13.0-1
- update to upstream release 2.13.0

* Mon Aug 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.8.5-1
- update to upstream release 2.8.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.10-1
- update to upstream release 2.7.10

* Wed Apr 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.6-1
- update to upstream release 2.7.6

* Mon Apr 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.5-1
- update to upstream release 2.7.5

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-4
- make some of the versioned dependencies even less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-3
- make all versioned dependencies less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-2
- fix version of npm(cookie) dependency

* Sun Apr 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-1
- update to upstream release 2.7.4

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-3
- make the versioned dependency on npm(formidable) less specific

* Sat Mar 02 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-2
- move non-javascript sources from lib/public to %%{_datadir}
- do not include lib-cov/ directory

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-1
- update to upstream release 2.7.3
- remove nodejs-connect-2.7.2-deps.patch as it has now been applied upstream

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-3
- make use of %%nodejs_fixdep

* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-2
- document how to retrieve tests

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-1
- initial package
